Methods of payment
Allows viewing the list of payment methods used by Payku.
Base URL:
https://app.payku.cl/ (Production) · https://des.payku.cl/ (Sandbox)Get list of payment methods by currency type
Section titled “Get list of payment methods by currency type”GET
/api/paymentmethods?currency=vesThis method allows you to get a list of payment methods in payku. To filter by currency, you have to add the query params currency with the currency value.
curl -X GET \https://BASE-URL/api/paymentmethods?currency=ves \-H 'Accept: application/json, text/plain, */*' \-H 'Content-Type: application/json' \-H 'Host: BASE-URL' \$client = new \GuzzleHttp\Client(); $body = $client->request('GET', 'https://BASE_URL/api/paymentmethods?currency=ves', [ ])->getBody();$response = json_decode($body);const request = async () => { const response = await fetch('https://BASE_URL/api/paymentmethods?currency=ves', { method: 'GET', headers: { 'Content-Type': 'application/json' }, }); const result = await response.json(); console.log(result)}request();Responses
200
{ "status": "success", "payment_methods": [ { "currency": "VES", "payment": 17, "name": "VEPUY", "description": "Use your bank, simplify your transfers." } ]}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Status of the endpoint. The possible statuses that can be obtained are the following:
|
payment_methods |
array of objects | |
code |
string | Code of the bank to which the bank account belongs. |
name |
string | Name of bank. |
currency |
string | Currency |
400
Request failed.
{ "status": "failed", "type": "Unprocessable Entity", "message_error": ""}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
message_error |
string | Error message |